#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	util-linux
Version		:	2.39.3
Release		:	16.2.0.rel%{?dist}
Summary		:	A collection of basic system utilities
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv1+ and GPLv2 and GPLv2+ and LGPLv2+ and MIT and BSD with advertising and Public Domain
URL		:	https://www.kernel.org/pub/linux/utils/util-linux/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
%description
The util-linux-ng package contains a large variety of low-level system
utilities that are necessary for a Linux system to function. Among
others, Util-linux contains the fdisk configuration tool and the login
program.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-, root,root, -)
%doc AUTHORS COPYING README NEWS
%{_bindir}/*
%{_sbindir}/*
%{_includedir}/*/*.h
%{_libdir}/lib*.so*
%{_libdir}/pkgconfig/*.pc
%{_defaultdocdir}/%{name}-%{version}/getopt-example.{bash,tcsh}
%{_datadir}/bash-completion/
#{_datadir}/locale/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q
#to setup the zip version number
echo %{version} > .tarball-version

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
        --libdir=%{_libdir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-fs-paths-extra=%{_sbindir}		\
	--enable-bash-completion			\
	--disable-makeinstall-chown			\
	--disable-chfn-chsh				\
	--disable-login					\
	--disable-nologin				\
	--disable-su					\
	--disable-setpriv				\
	--disable-runuser				\
	--disable-pylibmount				\
	--disable-static				\
	--without-udev					\
	--without-python				\
	--without-systemd				\
	--without-systemdsystemunitdir			\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#we do not want to have a dependeny on tsch for just a
#small script
(
echo "#! /bin/bash"
echo "echo removed by packager to avoid not needed dependency on /bin/tcsh"
)> misc-utils/getopt-example.tcsh

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name} --all-name --with-man
#=============================================================================
%changelog
